﻿class counter_digit extends MovieClip {
	/************************************************************************
	 * A numeric stepper counter, which will be usefull for games and etc... 
	 * Author : MajiD Fatemian
	 * Date : 5/9/2007
	 ************************************************************************/
	var current_number:Number;
	function counter_digit() {
		stop();
		current_number = get_frame_value(_currentframe);
	}
	function goto_number(target_number:Number) {
		this.onEnterFrame = null;
		current_number = get_frame_value(_currentframe);
		if (target_number>current_number) {
			//forward playing
			forward_play_till(target_number);
		} else if (target_number<current_number) {
			//backward playing
			backward_play_till(target_number);
		} else {
			// current_number equals target_number and nothing should be done
		}
	}
	function forward_play_till(target_num:Number) {
		this.onEnterFrame = function() {
			this.nextFrame();
			if (get_frame_value(this._currentframe) == target_num) {
				this.onEnterFrame = null;
			}
		};
	}
	function backward_play_till(target_num:Number) {
		this.onEnterFrame = function() {
			this.prevFrame();
			if (get_frame_value(this._currentframe) == target_num) {
				this.onEnterFrame = null;
			}
		};
	}
	function get_frame_value(frame_number:Number) {
		//in this component we put "0" in first frame , "1" in second frame and so on
		return (frame_number-1);
	}
}